com.google.gwt.resources.converter

## Class CssElse

- java.lang.Object
- - com.google.gwt.resources.css.ast.CssNode
  - - com.google.gwt.resources.converter.CssElse

- All Implemented Interfaces:
    com.google.gwt.resources.css.ast.CssVisitable, com.google.gwt.resources.css.ast.HasNodes

      public class CssElse
      extends com.google.gwt.resources.css.ast.CssNode
      implements com.google.gwt.resources.css.ast.HasNodes

  Represents a else node in the css ast.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CssElse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<com.google.gwt.resources.css.ast.CssNode>` | `getNodes()`
    `boolean` | `isStatic()` Indicates whether or not the CssNode requires runtime evaluation.
    `void` | `traverse(com.google.gwt.resources.css.ast.CssVisitor visitor, com.google.gwt.resources.css.ast.Context context)`

    - ### Methods inherited from class com.google.gwt.resources.css.ast.CssNode

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CssElse

          public CssElse()

  - ### Method Detail

    - #### getNodes

          public java.util.List<com.google.gwt.resources.css.ast.CssNode> getNodes()

      Specified by:
        `getNodes` in interface `com.google.gwt.resources.css.ast.HasNodes`

    - #### isStatic

          public boolean isStatic()

      Description copied from class: `com.google.gwt.resources.css.ast.CssNode`
      Indicates whether or not the CssNode requires runtime evaluation. This method should not include any information from child nodes.
      Specified by:
        `isStatic` in class `com.google.gwt.resources.css.ast.CssNode`

    - #### traverse

          public void traverse(com.google.gwt.resources.css.ast.CssVisitor visitor,
                               com.google.gwt.resources.css.ast.Context context)

      Specified by:
        `traverse` in interface `com.google.gwt.resources.css.ast.CssVisitable`